#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    int n;
    string s;
    cin>>n>>s;
    long komb = 1;
    long izuzeci = 0;
    int pomocna = 0;
    if(n <= 0){
        cout<<0;
    }
    else if(n == 1){
        cout<<1;
    }
    else{
        for(int i = 1;i < n;++i){
            if(s[i] == s[i-1]){
                pomocna += 1;
                if(s[i+1] != s[i] && i != n - 1){
                    pomocna += 1;
                    komb *= pomocna;
                    pomocna = 0;
                }
                else if(i == n - 1 && s[i] == s[i - 1]){
                    pomocna += 1;
                    komb *= pomocna;
                    pomocna = 0;
                }
                if(komb == pow(10,9) + 7)
                    komb = 1;
            }
        }
    }
    cout<<komb;
}